epp_ContactNameAddress (EPP RTK Java API Documentation)
Keywords: org.openrtk.idl.epp0604.contact.epp_ContactNameAddress class

### org.openrtk.idl.epp0604.contact

# Class epp_ContactNameAddress

- `java.lang.Object`
- - `org.openrtk.idl.epp0604.contact.epp_ContactNameAddress`

Implemented Interfaces:
  org.omg.CORBA.portable.IDLEntity

`public class epp_ContactNameAddress`
`extends java.lang.Object`
`implements org.omg.CORBA.portable.IDLEntity`

Class that contains the elements used to represent contact name and address. $Header: /cvsroot/epp-rtk/epp-rtk/java/src/org/openrtk/idl/epp0604/contact/epp_ContactNameAddress.java,v 1.1 2003/03/21 15:54:53 tubadanm Exp $
$Revision: 1.1 $
$Date: 2003/03/21 15:54:53 $

See Also:
  `epp_ContactCreateReq`, `epp_ContactInfoRsp`, `epp_ContactUpdateChange`

  ## Field Summary
  `epp_ContactAddress` | `m_address` The contact's address information.
  `String` | `m_name` The contact individual name.
  `String` | `m_org` The name of the organization with which the contact is affiliated.

  ## Constructor Summary
  `epp_ContactNameAddress()` Empty constructor
  `epp_ContactNameAddress(String _m_name, String _m_org, epp_ContactAddress _m_address)` The constructor with initializing variables.

  ## Method Summary
  `epp_ContactAddress` | `getAddress()` Accessor method for the contact's address information
  `String` | `getName()` Accessor method for the contact individual name
  `String` | `getOrg()` Accessor method for the name of the organization with which the contact is affiliated
  `void` | `setAddress(epp_ContactAddress value)` Accessor method for the contact's address information
  `void` | `setName(String value)` Accessor method for the contact individual name
  `void` | `setOrg(String value)` Accessor method for the name of the organization with which the contact is affiliated
  `String` | `toString()` Converts this class into a string.

## Field Details

### m_address

    public epp_ContactAddress m_address

> The contact's address information.
> See Also:
>   `setAddress(epp_ContactAddress)`, `getAddress()`

### m_name

    public String m_name

> The contact individual name.
> See Also:
>   `setName(String)`, `getName()`

### m_org

    public String m_org

> The name of the organization with which the contact is affiliated.
> See Also:
>   `setOrg(String)`, `getOrg()`

## Constructor Details

### epp_ContactNameAddress

    public epp_ContactNameAddress()

> Empty constructor

### epp_ContactNameAddress

    public epp_ContactNameAddress(String _m_name,
                                  String _m_org,
                                  epp_ContactAddress _m_address)

> The constructor with initializing variables.
> Parameters:
>   `_m_name` - The contact individual name
>   `_m_org` - The name of the organization with which the contact is affiliated
>   `_m_address` - The contact's address information

## Method Details

### getAddress

    public epp_ContactAddress getAddress()

> Accessor method for the contact's address information
> Returns:
>   The contact's address
> See Also:
>   `m_address`

### getName

    public String getName()

> Accessor method for the contact individual name
> Returns:
>   The contact name
> See Also:
>   `m_name`

### getOrg

    public String getOrg()

> Accessor method for the name of the organization with which the contact is affiliated
> Returns:
>   The contact organization
> See Also:
>   `m_org`

### setAddress

    public void setAddress(epp_ContactAddress value)

> Accessor method for the contact's address information
> Parameters:
>   `value` - The contact's address
> See Also:
>   `m_address`

### setName

    public void setName(String value)

> Accessor method for the contact individual name
> Parameters:
>   `value` - The contact name
> See Also:
>   `m_name`

### setOrg

    public void setOrg(String value)

> Accessor method for the name of the organization with which the contact is affiliated
> Parameters:
>   `value` - The contact organization
> See Also:
>   `m_org`

### toString

    public String toString()

> Converts this class into a string. Typically used to view the object in debug output.
> Returns:
>   The string representation of this object instance

Copyright © 2001-2002 - Tucows, Inc., 2003 - LibertyRMS